<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <h5 style="margin-top: 15px;">
       <span jhiTranslate="mpmApp.productCategory.detail.title">Product Categories</span>
    </h5>
    <br/>
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{productCategory.idCategory}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><span><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span></a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!productCategory.idCategory">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="productCategory.idCategory" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.productCategory.description" for="field_description">Description</label>
                        <input type="text" class="form-control" name="description" id="field_description"
                            [(ngModel)]="productCategory.description"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.productCategory.refKey" for="field_refKey">Ref Key</label>
                        <input type="text" class="form-control" name="refKey" id="field_refKey"
                            [(ngModel)]="productCategory.refKey"  />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productCategory.categoryType" for="field_categoryType">Category Type</label>
                        <select class="form-control" id="field_categoryType" name="categoryType" [(ngModel)]="productCategory.categoryTypeId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="productCategoryTypeOption.idCategoryType" *ngFor="let productCategoryTypeOption of productcategorytypes; trackBy: trackProductCategoryTypeById">{{productCategoryTypeOption.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>